/* deck.h
 * Yunita Winata
 * c203101
 */
/* The definiton of the Deck class
 * Constructor - creates an array of 52 cards and intializes
   them in order
 * Destructor - destroys the array of cards
 * Deal - returns the next card
 * Shuffle - randomly shuffles the deck
 * CardsLeft - returns the number of cards left in the deck
 * ReattachDealedCards - after each dealing, the used cards
   are reattached at the end of the deck
*/
#include"Card.h"
#ifndef DECK_CLASS
#define DECK_CLASS

class Deck
{
public:
	Deck(); //Constructor
	~Deck(); //Destructor
	Card Deal();
	int Shuffle();
	int CardsLeft();
	int ReattachDealedCards();

private:
	Card * cdeck[52]; // an aray of pointers to the cards
	int position; // keeps the current position in the deck
};
#endif

