/* game.h
 * Yunita Winata
 * c203101
 */
/* This is the class definiton of game of Black Jack
 * The only method it has is MainMenu - starts the game
 * (it can end only from inside)
 */
#include<iostream.h>
#include"Deck.h"

class Game
{
public:
	Game(); // Constructor
	void MainMenu();

private:
	void GameMenu(Deck *); // Second menu once the game has started
	void DealNewHand(Deck *); // start new hand
	void AddCard(int,Deck *); // add card to one of the sides playing
	void DisplayCard(int who, int num); //show a card's value
	void DisplayCards(int who); // show the player's hand
	int DealerMoves(Deck *);
	void PutBet();
	void DoubleBet();

	/* These arrays are done for future support for multiple
	players. In each array 0 is the dealer, 1 is player#1

	more players can be added by increasing the size of the arrays
	and some moderate modifications to the game menu.

	*/
	int sumvalue[2]; // the sum of the card values in each hand
	int aces[2]; // hold the number of aces in each hand
	int playercards[2][10][2];
	int numcards[2]; // the number of cards in each hand
	int money;
	int bet;
};
